#include "StdAfx.h"
#include <windows.h>

// Barcode
BOOL DxEnableBarcode();
BOOL DxEnableOpticon();
BOOL DxEnableScanning(BOOL bTrue);
BOOL DxResetEngine();
BOOL DxResetOpticon(int TM); // 4:

BOOL DxGetBarcode(TCHAR *pBarcode, TCHAR *pType);
int DxGetScanningBarcode(TCHAR *pBarcode, TCHAR *pType);
int DxGetEventBarcode(TCHAR *pBarcode, TCHAR *pType);

BOOL DxClearBuffer();
BOOL GxScanStart(BOOL bStart);
BOOL GxScanTrue();
BOOL GxScanFalse();
BOOL OxScanTrue();
BOOL OxScanFalse();
BOOL DxScanBarcode(TCHAR *pBarcode, TCHAR *pType);
void DxPushScanButton();
void DxResetBarcode();

void DxDisableBarcode();

// GPRS
BOOL Gx35GPRS_ON();
BOOL Gx35GPRS_OFF();
BOOL GetGprsPwStatus(void);

//Backlight
BOOL DxSetBackLight(DWORD BL_LEVEL);

//WLAN
BOOL Gx35WLAN_ON();
BOOL Gx35WLAN_OFF();
BOOL GetWlanPwStatus(void);

//Serial Number
BOOL GxSetID(CString GetSN); //Not ready
CString GxGetID(void);

//Suspend Hold

BOOL GxSuspendHold(BOOL bHold);
BOOL DxCreateSRevent();
extern HANDLE g_evtPowerResume;
extern HANDLE m_hevPowerSuspend;

//Bluetooth
//BOOL BxEnableBT();
HANDLE BxEnableBT();
BOOL BxDisableBT();
BOOL BxReleaseBTPort();
BOOL BxSetMac(unsigned char* pCmd, int iLength);
BOOL BxSetPin(unsigned char* pCmd, int iLength);
BOOL BxGetConnection();
BOOL BxInitialBT(BOOL bAuto); //20080425
BOOL BxSendToBT(unsigned char* pCmd, int iLength);

//#endif
